Subject: bug#2577: 23.0.91; startup.el should choose .emacs ahead of .emacs.elc if .emacs is newer

From: Alex <[email-masked]>
Date: Fri, 6 Mar 2009 11:18:54 +0100

On Thu, Mar 05, 2009 at 11:49:42AM -0500, Stefan Monnier wrote:
> > Currently startup.el warns if .emacs.elc is newer than .emacs however
> > this hides subtle bugs if people don't carefully watch their logs/mode
> > line during startup. Although many people have clever auto-compile
> > magic every tiome they save .emacs this often break down when they
> > pull in updates via SCMs.
> 
> I think that if people compile their .emacs they get what they ask for.

That's not very helpful. Emacs obviously supports compiles .emacs as
it has code to deal with it. The code also spots the failure case but
only emits a warning. All I'm arguing is the warning is insufficient
and a cleaner solution is needed. If that solution is to remove
compiled .emacs support then so be it.

I think it is possible for a compiled .emacs to know if it is running
the compiled code and redo the test that starup.el does and act
accordingly so workarounds ar probably possible. But workarounds still
indicate bugs IMHO.

-- 
Alex, homepage: http://www.bennee.com/~alex/
People usually get what's coming to them ... unless it's been mailed.